ftpd(8)

NOM
ftpd - Serveur pour File Transfer Protocol (FTP) sur Internet

SYNOPSIS
ftpd [option ...]

DESCRIPTION
ftpd est le processus du serveur File Transfer Protocol (FTP) sur Internet. Le serveur utilise le protocole TCP et écoute le port indiqué dans la spécification du service « ftp » ; voir services(5).

OPTIONS

-4, --ipv4
    Contraindre le démon à n’écouter que les adresses IPv4.

-6, --ipv6
    Contraindre le démon à n’écouter que les adresses IPv6.

-d, --debug
    Les informations de débogage sont enregistrées dans le journal système en utilisant la catégorie LOG_FTP.

-l, --logging
    Chaque session ftp(1) (qu’elle ait réussi ou échoué) est enregistrée dans le journal système sous la catégorie LOG_FTP. Si cette option est spécifiée deux fois, les téléchargements (get), téléversements (put), ajouts, suppressions, les créations et suppressions de répertoire et les opérations de renommage ainsi que leurs arguments nom de fichier sont aussi journalisés.

-A, --anonymous-only
    Seules les connexions anonymes sont autorisées.

-D, --daemon
    ftpd passe en mode démon, ce qui lui permet de s’exécuter indépendamment de inetd.

-q, --no-version
    Mode silencieux. Aucune information à propos de la version de ftpd n’est fournie au client.

-T, --max-timeout délai_expiration
    Un client peut aussi demander un délai d'expiration différent ; l’option -T permet de définir la durée maximale autorisée à l’aide de son argument délai_expiration. La limite par défaut est de 2 heures.

-t, --timeout durée_inactivité
    La durée maximale d’inactivité est définie à durée_inactivité secondes (la durée par défaut est de 15 minutes).

-p, --pidfile fichier_pid
    Changer l’emplacement par défaut du fichier pid.

-a, --auth auth
    Donner à anonymous un autre nom_de_connexion (les noms anonymous et ftpd fonctionneront quand même). Ce nouveau nom peut être un des suivants :

    par défaut
        Utiliser l’authentification par mot de passe.

    pam Utiliser le service PAM « ftp ».

--non-rfc2577
    Passer outre la RFC 2577 en fournissant des informations à propos des utilisateurs refusés.

-u, --umask valeur
    Définir le masque de création de fichier (umask) à valeur.

?, --help
    Afficher l’aide.

--usage
    Afficher un bref message d’utilisation.

-V, --version
    Afficher la version du programme.

OPÉRATION
Le fichier /etc/nologin permet de désactiver l’accès à ftp. Si le fichier existe, ftpd affiche son contenu et quitte. Si le fichier /etc/ftpwelcome existe, ftpd affiche son contenu avant d’afficher le message « ready ». Si le fichier /etc/motd existe, ftpd affiche son contenu après une connexion réussie.

Actuellement, le serveur ftp prend en charge les requêtes ftp suivantes. La casse des requêtes est ignorée.
Requête | Description
ABOR | annule les commandes précédentes
ACCT | spécifier le compte (ignoré)
ALLO | allouer de l’espace de stockage (vide de sens)
APPE | ajouter à un fichier
CDUP | se positionner dans le répertoire parent du répertoire de travail actuel
CWD | changer de répertoire de travail
DELE | supprimer un fichier
EPRT | port de connexion de données étendue, RFC 2428
EPSV | demande de transfert passif étendue, RFC 2428
FEAT | afficher les extensions de commande
HELP | afficher l’aide
LIST | afficher la liste des fichiers d’un répertoire (ls -lgA)
LPRT | port de connexion de données long, RFC 1639
LPSV | demande de transfert passif long, RFC 1639
MKD | créer un répertoire
MDTM | afficher la date de dernière modification du fichier
MODE | spécifier le mode de transfert de données
NLST | afficher la liste des noms de fichier du répertoire
NOOP | ne rien faire
OPTS | définitions des options
PASS | spécifier un mot de passe
PASV | se préparer à un transfert serveur à serveur
PORT | spécifier un port de connexion de données
PWD | afficher le répertoire de travail actuel
QUIT | fermer la session
REST | redémarrer un transfert incomplet
RETR | retrouver un fichier
RMD | supprimer un répertoire
RNFR | spécifier le nom du fichier à renommer
RNTO | spécifier le nom avec lequel renommer un fichier
SITE | commandes non standards (voir section suivante)
SIZE | afficher la taille du fichier
STAT | afficher l’état du serveur
STOR | stocker un fichier
STOU | stocker un fichier avec un nom unique
STRU | spécifier la structure du transfert de données
SYST | afficher le type de système d’exploitation du système serveur
TYPE | spécifier le type de transfert de données
USER | spécifier un nom d’utilisateur
XCUP | se positionner dans le répertoire parent du répertoire de travail actuel (obsolète)
XCWD | changer de répertoire de travail (obsolète)
XMKD | créer un répertoire (obsolète)
XPWD | afficher le répertoire de travail actuel (obsolète)
XRMD | supprimer un répertoire (obsolète)

La requête SITE prend en charge les commandes non standards spécifiques à UNIX suivantes :

Commande | Description
UMASK | changer le umask, par exemple SITE UMASK 002
IDLE | définir le délai d’inactivité, par exemple SITE IDLE 60
CHMOD | changer les droits d’un fichier, par exemple SITE CHMOD 755 nom_fichier
HELP | afficher l’aide.

Les autres requêtes ftp spécifiées dans la RFC 959 d’Internet sont reconnues mais non implémentées. MDTM et SIZE ne sont pas spécifiées dans la RFC 959 mais apparaitront dans la prochaine RFC FTP mise à jour.

Le serveur ftp n’abandonnera un transfert de fichier actif que si la commande ABOR est précédée d’un signal Telnet « Interrupt Process » (IP) et d’un signal Telnet « Synch » dans le flux de commandes Telnet, comme décrit dans la RFC 959 d’Internet. Si une commande STAT est reçue pendant un transfert de données et précédée des signaux Telnet IP et Synch, l’état du transfert sera renvoyé.

ftpd interprète les noms de fichier en respectant les conventions d’interprétation des métacaractères (« globbing ») utilisées par csh(1), ce qui permet aux utilisateurs d’utiliser les métacaractères « *?[]{}~ ».

ftpd authentifie les utilisateurs selon trois règles.

1.  Le nom de connexion doit être dans la base de données des mots de passe /etc/passwd, et doit posséder un mot de passe non vide. Si c’est le cas, le client devra fournir un mot de passe avant d’effectuer toute opération sur les fichiers.

2.  Le nom de connexion ne doit pas apparaître dans le fichier /etc/ftpusers.

3.  L’utilisateur doit avoir un interpréteur standard, renvoyé par getusershell(3)

4.  Si le nom d’utilisateur est « anonymous » ou « ftp », un compte ftp anonyme doit être présent dans le fichier des mots de passe (l’utilisateur « ftp »). Si c’est le cas, l’utilisateur pourra se connecter en spécifiant n’importe quel mot de passe (par convention son adresse de courriel).

Dans le dernier cas, ftpd prend des mesures particulières pour restreindre les privilèges d’accès du client. Le serveur effectue un chroot(2) vers le répertoire personnel de l’utilisateur « ftp ». Afin que la sécurité du système ne soit pas violée, il est recommandé de construire l’arborescence « ftp » avec soin en respectant ces règles :

~ftp
    Ce répertoire racine doit être la propriété de « root » et inaccessible en écriture par qui que ce soit.

~ftp/bin
    Ce répertoire doit être la propriété de « root » et inaccessible en écriture par qui que ce soit (droits 555). Le programme ls(1) doit être présent pour prendre en charge la commande LIST. Ce programme doit posséder les droits 111.

~ftp/etc
    Ce répertoire doit être la propriété de « root » et inaccessible en écriture par qui que ce soit (droits 555). Les fichiers passwd(5) et group(5) doivent être présents pour que la commande ls puisse afficher des noms de propriétaire plutôt que des nombres. Le champ mot de passe dans le fichier passwd n’est pas utilisé et ne doit pas contenir de mots de passe réels. Le contenu du fichier motd, si ce dernier est présent, sera affiché en cas de connexion réussie. Ces fichiers doivent posséder les droits 444.

~ftp/pub
    Ce répertoire doit posséder les droits 777 et être la propriété de « ftp ». Les invités pourront y placer des fichiers qui doivent être accessibles à l’aide d’un compte anonyme.

FICHIERS
/etc/ftpusers
    Liste d’utilisateurs à accès restreint ou qui ne sont pas les bienvenus.
/etc/ftpchroot
    Liste des utilisateurs pouvant changer la racine pour leur répertoire personnel.
/etc/ftpwelcome
    Message de bienvenue.
/etc/motd
    Message de bienvenue après connexion.
/etc/nologin
    Affichage et accès refusés.

VOIR AUSSI
ftp(1), getusershell(3), syslogd(8)

BOGUES
Pour pouvoir créer des sockets avec des numéros de port privilégiés, le serveur doit être exécuté par le superutilisateur. Il conserve l’identifiant effectif de l’utilisateur connecté et ne repasse sur le superutilisateur que lors de la liaison des adresses avec les sockets. Les éventuelles failles de sécurité ont été examinées de près, mais il peut encore en rester.

HISTORIQUE
La commande ftpd est apparue dans 4.2BSD.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.